Bug 21550 - DataTables four button pagination uses the wrong icon for disabled buttons
Summary: DataTables four button pagination uses the wrong icon for disabled buttons
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P3 trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21506
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-11 16:03 UTC by Owen Leonard
Modified: 2018-11-08 16:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21550: DataTables four button pagination uses the wrong icon for disabled buttons (3.11 KB, patch)
2018-10-11 16:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21550: DataTables four button pagination uses the wrong icon for disabled buttons (3.17 KB, patch)
2018-10-12 05:45 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21550: DataTables four button pagination uses the wrong icon for disabled buttons (3.22 KB, patch)
2018-10-12 05:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-11 16:03:08 UTC
When four button pagination is used any button which is disabled uses the icon for active buttons. For instance: The "next" button on the last page of results. The arrow icon should be gray instead of blue.
Comment 1 Owen Leonard 2018-10-11 16:17:34 UTC
Created attachment 80413 [details] [review]
Bug 21550: DataTables four button pagination uses the wrong icon for disabled buttons

This patch modifies the DataTables CSS which styles "full_nubmers"
controls which are disabled: First and Previous buttons on the first
page of results, Next and Last buttons on the last page of results.
These buttons should have gray icons instead of blue.

To test, apply the patch and clear your browser cache if necessary. View
a page which uses a "full_numbers" DataTables configuration, e.g.

- Administration -> Cities
- ILL requests -> List requests
- Circulation -> Holds to pull

Confirm that buttons in their disabled state have a gray icon and text
instead of blue.
Comment 2 Claire Gravely 2018-10-12 05:45:48 UTC
Created attachment 80444 [details] [review]
Bug 21550: DataTables four button pagination uses the wrong icon for disabled buttons

This patch modifies the DataTables CSS which styles "full_nubmers"
controls which are disabled: First and Previous buttons on the first
page of results, Next and Last buttons on the last page of results.
These buttons should have gray icons instead of blue.

To test, apply the patch and clear your browser cache if necessary. View
a page which uses a "full_numbers" DataTables configuration, e.g.

- Administration -> Cities
- ILL requests -> List requests
- Circulation -> Holds to pull

Confirm that buttons in their disabled state have a gray icon and text
instead of blue.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-10-12 05:57:24 UTC
Created attachment 80445 [details] [review]
Bug 21550: DataTables four button pagination uses the wrong icon for disabled buttons

This patch modifies the DataTables CSS which styles "full_nubmers"
controls which are disabled: First and Previous buttons on the first
page of results, Next and Last buttons on the last page of results.
These buttons should have gray icons instead of blue.

To test, apply the patch and clear your browser cache if necessary. View
a page which uses a "full_numbers" DataTables configuration, e.g.

- Administration -> Cities
- ILL requests -> List requests
- Circulation -> Holds to pull

Confirm that buttons in their disabled state have a gray icon and text
instead of blue.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-15 17:06:20 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-17 10:57:55 UTC
Pushed to 18.05.x for 18.05.05
Comment 6 Fridolin SOMERS 2018-11-08 16:10:32 UTC
Pushed to 17.11.x for 17.11.12